## Name

bf_tar — shell script to write a tar file of a bogofilter directory to stdout

## Synopsis

`bf_tar` [-r] [-R] `bogofilter_directory`

## Description

bf_tar bundles a bogofilter working directory in tar format and copies it to standard output (your console, or where you redirect it, see EXAMPLES below).

## Options

The `-r` option causes bf_tar to remove inactive log files after the archive has been written successfully. The default is to leave log files.

The `-R` option causes bf_tar to remove inactive log files before the archive is written. This may reduce chances that the resulting archive is recoverable should it become damaged. The archive may be smaller though. The default is to leave log files.

## Exit Status

The script exits with status code 0 if everything went well, and nonzero if it encountered trouble.

## Examples

- `bf_tar ~/.bogofilter > outfile.tar`

  Writes a standard .tar file containing the essential files from `~/.bogofilter` to `outfile.tar`.

- `bf_tar ~/.bogofilter | gzip -9 -c > outfile.tar.gz`

  Writes a gzipped .tar.gz file containing the essential files from `~/.bogofilter` to `outfile.tar.gz`.

- `bf_tar `pwd`/mydirectory > outfile.tar`

  Prepend `$(pwd)/` or ``pwd`/` if you want to specify an absolute path instead of a relative path.

## Notes

This script is meant for use with Berkeley DB based bogofilter versions.

This script requires a SUSv2 compliant pax utility.

This script expects a SUSv2 compliant shell. Solaris systems should have the `SUNWxcu4` package installed (when bogofilter is configured) so that `/usr/xpg4/bin/sh` can be used.

## Authors

Matthias Andree